from graphics import *

# ouvrir une fenêtre

longueur = 1000
hauteur = 700
fenetre = GraphWin("fenetre graphique", width = longueur, height = hauteur) 
fenetre.setBackground("white")
fenetre.setCoords(0, 0, longueur, hauteur) # bottom left is (0, 0) and top right is (1000, 800)

# afficher un pixel

fenetre.plot(100,100,'black')

# afficher un segment

segment = Line(Point(320, 320), Point(450, 400))
segment.draw(fenetre)

segment2 = Line(Point(220, 120), Point(350, 200))
segment2.setArrow("both") # first, last, both
segment2.draw(fenetre)

# un rectangle

un_rectangle = Rectangle(Point(20, 20), Point(150, 50))
un_rectangle.setOutline('blue')
un_rectangle.setFill('red')
un_rectangle.draw(fenetre)

# un texte

message = Text(Point(300,140), "Hello!")
message.draw(fenetre)

# un disque

disque = Circle(Point(530,540), 40)
disque.setFill(color_rgb(190, 97, 218)) # choisir une couleur parmi 16 millions...
disque.draw(fenetre)

# déplacer un objet

fenetre.getMouse()
un_rectangle.move(100,100)
fenetre.getMouse()
un_rectangle.move(100,100)
fenetre.getMouse()
un_rectangle.undraw()
fenetre.getMouse()
un_rectangle.draw(fenetre)

for j in range(4):
    pt = fenetre.getMouse()
    disque = Circle(pt, 40)
    disque.setFill(color_rgb(90, 197, 218)) # choisir une couleur parmi 16 millions...
    disque.draw(fenetre)

    for i in range(60):
        disque.move(0,-2)
        update(30)

# fermer la fenêtre

fenetre.getMouse()
fenetre.close()

